| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 > Struct Template Reference

`#include <TelepathyQt/functors.h>`

Inheritance diagram for Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >:
[legend]

## Public Types

typedef R(T::* | FunctionType) (Arg1, Arg2, Arg3)
typedef R | ResultType

## Public Member Functions

| MemberFunctor3 (T *object, FunctionType fn)
ResultType | operator() (Arg1 a1, Arg2 a2, Arg3 a3) const

## Public Attributes

T * | object
FunctionType | fn

## Member Typedef Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3>

typedef R(T::* Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::FunctionType) (Arg1, Arg2, Arg3)

template<class R, class T, class Arg1, class Arg2, class Arg3>

typedef R Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::ResultType

## Constructor & Destructor Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3>

Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::MemberFunctor3 | ( | T * | object,
|  | FunctionType | fn
| ) |  |

inline

## Member Function Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3>

ResultType Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3
| ) |  | const

inline

## Member Data Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3>

T* Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::object

template<class R, class T, class Arg1, class Arg2, class Arg3>

FunctionType Tp::MemberFunctor3< R, T, Arg1, Arg2, Arg3 >::fn